Name:	      openstack-tuskar-ui
Version:	  0.1.0
Release:	  1%{?dist}
Summary:	  The UI component for Tuskar

Group:		  Application/System
License:	  ASL 2.0
URL:		    https://github.com/openstack/tuskar-ui
Source0:	  http://fedorapeople.org/~jomara/tuskar/tuskar-ui-%{version}.tar.gz

BuildArch:     noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-lockfile
BuildRequires: python-pbr
BuildRequires: python-sphinx >= 1.1.3

Requires: Django
Requires: python-django
Requires: python-django-compressor
Requires: python-django-openstack-auth
Requires: pytz
Requires: openstack-dashboard
Requires: python-lockfile
Requires: python-netaddr
Requires: python-pbr
Requires: python-eventlet
Requires: python-kombu
Requires: python-iso8601
Requires: python-oslo-config
Requires: python-lockfile
Requires: python-novaclient
Requires: python-keystoneclient
Requires: python-heatclient
Requires: python-cinderclient
Requires: python-glanceclient
Requires: python-neutronclient
Requires: python-ceilometerclient
Requires: python-swiftclient
Requires: python-ironicclient
Requires: python-tuskarclient


%description
tuskar-ui is a user interface for Tuskar, a management API for OpenStack
deployments. It is a plugin for OpenStack Horizon.

%prep
%setup -q -n tuskar-ui-%{version}

%build
export OSLO_PACKAGE_VERSION=1.2.0
%{__python} setup.py build

%install
export OSLO_PACKAGE_VERSION=1.2.0
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Move config to horizon
mkdir -p  %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled
mkdir -p  %{buildroot}%{_datadir}/openstack-dashboard/local/enabled
mv _50_tuskar.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled/_50_tuskar.py
ln -s %{_sysconfdir}/openstack-dashboard/enabled/_50_tuskar.py %{buildroot}%{_datadir}/openstack-dashboard/local/enabled/_50_tuskar.py

%files
%doc LICENSE README.rst
%dir %{python_sitelib}/tuskar_ui
%{python_sitelib}/*.egg-info
%{python_sitelib}/tuskar_ui/*.py*
%{python_sitelib}/tuskar_ui/test
%{python_sitelib}/tuskar_ui/infrastructure
%{_datadir}/openstack-dashboard/local/enabled/_50_tuskar.py*
%{_sysconfdir}/openstack-dashboard/enabled/_50_tuskar.py*

%changelog
* Thu Mar 06 2014 Jordan OMara <jomara@redhat.com> - 0.1.0-1
- initial package
